%define __os_install_post %{nil}
%define gwbdir /opt/GWB

Name:        GWB
Version:	    1.9.5
Release:	    %mkrel 1
License:	    Proprietary
Group:		Sciences/Geosciences
Summary: GuidosToolbox Workbench Image Analysis
URL:		    https://forest.jrc.ec.europa.eu/en/activities/lpa/gwb/
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root
Source1:     %{name}-%{version}.tar.xz
Requires:	 gdal
Requires:    xset
Requires:    sed
Requires:    curl
Requires:   which
Requires:    xdg-utils
Requires:    x11-server-xvfb
Requires:    libgomp1
Requires:    time
#we do not want this package to provide any library files to rpm
AutoReqProv:    no

%description
GWB (GuidosToolbox Workbench) contains a set of raster image analysis
cmd-line tools for measuring image object attributes, such as accounting, 
distance, fragmentation, pattern, recoding, etc.
For further instructions, run the command: GWB
Online manual: https://gwbdoc.readthedocs.io

%prep
%setup -T -n %{name} -c

%build
#nobuild

%install
export DONT_STRIP=1
rm -rf %buildroot
mkdir -p %buildroot


# extract data
mkdir -p %buildroot/opt
tar -xf %{SOURCE1} -C %{buildroot}/opt

#create symlinks
mkdir -p %{buildroot}%{_bindir}
ln -sf %{gwbdir}/tools/mspa_lin64 %{buildroot}%{_bindir}/mspa_GWB
ln -sf %{gwbdir}/GWB %{buildroot}%{_bindir}/GWB
ln -sf %{gwbdir}/GWB_check4updates %{buildroot}%{_bindir}/GWB_check4updates
ln -sf %{gwbdir}/GWB_ACC %{buildroot}%{_bindir}/GWB_ACC
ln -sf %{gwbdir}/GWB_DIST %{buildroot}%{_bindir}/GWB_DIST
ln -sf %{gwbdir}/GWB_FRAG %{buildroot}%{_bindir}/GWB_FRAG
ln -sf %{gwbdir}/GWB_GSC %{buildroot}%{_bindir}/GWB_GSC
ln -sf %{gwbdir}/GWB_LM %{buildroot}%{_bindir}/GWB_LM
ln -sf %{gwbdir}/GWB_MSPA %{buildroot}%{_bindir}/GWB_MSPA
ln -sf %{gwbdir}/GWB_PARC %{buildroot}%{_bindir}/GWB_PARC
ln -sf %{gwbdir}/GWB_REC %{buildroot}%{_bindir}/GWB_REC
ln -sf %{gwbdir}/GWB_RSS %{buildroot}%{_bindir}/GWB_RSS
ln -sf %{gwbdir}/GWB_SC %{buildroot}%{_bindir}/GWB_SC
ln -sf %{gwbdir}/GWB_SPA %{buildroot}%{_bindir}/GWB_SPA
ln -sf %{gwbdir}/GWB_SPLITLUMP %{buildroot}%{_bindir}/GWB_SPLITLUMP


%clean
rm -rf %{buildroot}

%posttrans
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
 do INP1= cp -fr /opt/GWB/*put /home/$idx/; done
for idx in $SYSUSERS
 do INP1= chown -R $idx:$(id -gn $idx) /home/$idx/input; done
for idx in $SYSUSERS
 do INP1= chown -R $idx:$(id -gn $idx) /home/$idx/output; done

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
/opt/%{name}
%{_bindir}/GWB*
%{_bindir}/mspa_GWB


%changelog
* Tue Apr 09 2024 pp <pp> 1.9.5-1pclos2024
- new version

* Wed Dec 20 2023 pp <pp> 1.9.4-1pclos2023
- new version

* Thu Oct 19 2023 pp <pp> 1.9.3-2pclos2023
- compatibility with glibc 2.38

* Mon Aug 28 2023 pp <pp> 1.9.3-1pclos2023
- new version

* Mon Jul 10 2023 pp <pp> 1.9.2-1pclos2023
- new version

* Sat Apr 22 2023 pp <pp> 1.9.1-1pclos2023
- new version

* Fri Dec 30 2022 pp <pp> 1.9.0-1pclos2023
- new version

* Mon May 23 2022 pp <pp> 1.8.8-1pclos2022
- new version

* Tue Apr 19 2022 pp <pp> 1.8.7-1pclos2022
- new version

* Wed Mar 23 2022 pp <pp> 1.8.6-1pclos2022
- new version

* Thu Feb 03 2022 pp <pp> 1.8.5-1pclos2022
- new version
- added DONT_STRIP

* Tue Oct 19 2021 pp <pp> 1.8.4-1pclos2021
- new version + posttrans

* Thu Jul 08 2021 pp <pp> 1.8.3-1pclos2021
- RSS: restoration potential

* Sat May 01 2021 pp <pp> 1.8.2-1pclos2021
- removed MSPA file-size check

* Sat Mar 13 2021 pp <pp> 1.8.1-1pclos2021
- fixed ACC bug and csv output

* Sun Feb 28 2021 pp <pp> 1.8.0-1pclos2021
- additional spatcon output

* Wed Jan 13 2021 pp <pp> 1.7-4pclos2021
- improved memory detection 

* Wed Dec 23 2020 pp <pp> 1.7-3pclos2021
- added headless mode
- updated Requires

* Tue Dec 15 2020 pp <pp> 1.7-2pclos2020
- RSS: optional 4-conn and large number fix

* Sun Oct 04 2020 pp <pp> 1.7-1pclos2020
- update

* Mon Sep 16 2019 pp <pp> 1.6-1pclos2019
- more stats
- new flexible fragmentation routine

* Wed Aug 14 2019 pp <pp> 1.5-1pclos2019
- update

* Tue Dec 18 2018 pp <pp> 1.4-1pclos2018
- updated license

* Mon Sep 03 2018 pp <pp> 1.3-2pclos2018
- updated summary and requires
- copy param-file if missing

* Thu Aug 09 2018 pp <pp> 1.3-1pclos2018
- initial package
